## org.apache.mahout.ga.watchmaker.cd
Class CDFactory

    java.lang.Object
      org.uncommons.watchmaker.framework.factories.AbstractCandidateFactory<CDRule>
          org.apache.mahout.ga.watchmaker.cd.CDFactory

All Implemented Interfaces:
  org.uncommons.watchmaker.framework.CandidateFactory<CDRule>

    public class CDFactory

extends org.uncommons.watchmaker.framework.factories.AbstractCandidateFactory<CDRule>

Factory used by Watchmaker to generate the initial population.

Constructor Summary
`CDFactory(double threshold)`

Method Summary
`CDRule` `generateRandomCandidate(Random rng)`

Methods inherited from class org.uncommons.watchmaker.framework.factories.AbstractCandidateFactory
`generateInitialPopulation, generateInitialPopulation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDFactory

    public CDFactory(double threshold)

Parameters:
  `threshold` - condition activation threshold

Method Detail

### generateRandomCandidate

    public CDRule generateRandomCandidate(Random rng)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.